﻿
define flash = Fade(0.1, 0.0, 0.5, color="#fff")

# Declare characters used by this game.
define t = Character(_("Time"))
define tt = Character(' ', what_prefix="(", what_suffix=")")
define s = Character(_("Space"), image= "space")
define n = Character(_("Nil"), image= "nil", color="#000", outlines=[(2, "#FFF", 0, 0)], what_color="#000", what_outlines=[(2, "#FFF", 0, 0)], what_prefix="{b}")
define narrator = Character(None, kind=nvl)

label splashscreen:

    scene black
    if not persistent.setlanguage:
        call screen langset
        $ persistent.setlanguage=True
    show splash with dissolve
    pause 1
    if persistent.allclear:
        show cg trueendb behind splash with Dissolve(2)
        pause 2
    elif persistent.spaceending:
        scene white with Dissolve(2)
    elif persistent.nilending:
        hide splash with Dissolve(2)
        return
    else:
        show cg wanderingb behind splash with Dissolve(2)
        pause 2
    return

# The game starts here.
label start:
    stop music fadeout 2.0
    scene black with fade
    if persistent.promise:
        $ timepowers = False
    python:
        swapchoicepos = False
        rewound1 = False
        timetraveler = False
        wandered = False
        toldspace = False
        soprecious = False
        wentback = True
        wronganswer= False
        quick_menu = True

    pause 1
    window show
    "Darkness. Darkness and nothing, in all directions."
    if persistent.promise:
        jump trueending

    if persistent.round3clear:
        "I needed to find Space right away."
        "As I made my way toward her, I felt relieved to see her comforting light in the distance."
        nvl clear
        play music "music/space.ogg" fadein 5.0
        jump heresheis
    elif persistent.round2clear:
        "I knew what I had to do."

        "I started looking for Space... and as I wandered, I spotted a familiar light in the distance."
        nvl clear
        play music "music/space.ogg" fadein 5.0
        jump heresheis
    elif persistent.round1clear:
        "But I knew someone was out there. I just had to find her again."
        "So I started looking. I wanted to find Space... and as I retraced my steps, I spotted her light in the distance."
        nvl clear
        play music "music/space.ogg" fadein 5.0
        scene cg crying with Dissolve(1)
        "There was Space, sitting on a bed of her stars, just like I remembered."
        nvl clear
        jump heresheis
    elif persistent.metspace:
        "At some point I started thinking, shouldn't there be something here? Something, anywhere?"
        "Those were the thoughts I had before... and I DID find something before."
        "So I started looking. I was looking for that light... and as I wandered, I spotted it in the distance."
    else:
        "At some point I started thinking, shouldn't there be something here? Something, anywhere?"
        "So I started looking. I don't know what exactly I was looking for... but as I wandered, I spotted a light in the distance."
    play music "music/space.ogg" fadein 10.0
    nvl clear
    scene cg stars with Dissolve(2)
    pause 1
    if not persistent.metspace:
        "As I approached, I found another... and another."

    "A trail of burning bright lights. They traveled out and away, their steady glow piercing tiny holes in the darkness."

    "They fascinated me."

    "I decided I'd walk until I reached the source."
    nvl clear
    scene cg crying with Fade(.5, 0.5, 1)
    pause 1

    if persistent.round2clear:
        "I found Space, sitting that same bed of stars."

        "She was beautiful."
    elif persistent.round1clear:
        "I found Space. Sitting on a bed of her stars, just like I remembered."

        "She was still here... I felt so relieved at the sight of her."
    else:
        "I found a girl."

        "She was sitting on a bed of those stars..."

        "It was a beautiful sight."

    nvl clear
label heresheis:
    scene bg light
    show space weepy at right
    with Fade(.5, 0.5, 1)
    if not persistent.metspace:
        $ renpy.notify(_("Memory Saved: Someone's here"))
    $ persistent.metspace = True
    s "Oh, someone's here... *sniffle*"

    menu:
        tt "What should I say to her...?"
        "Are you crying?":
            if persistent.round1clear:
                tt "This is what I said before... acting too differently might just confuse her. I'll try to recreate the first memory."
            jump continued
        "You're alive!" if persistent.round1clear:

            t "I thought something terrible happened... but you're right here. I'm glad you're still okay."

            s "Huh...?"

            if persistent.round2clear:
                "This \"Space\" hadn't met me yet. She didn't know what was going to happen..."

                "No, that fate wasn't certain... I could change it. But I wouldn't get anywhere by confusing her."
            else:
                "She looked at me like she'd never seen me before."

                "Because of course, she HADN'T seen me before. This \"Space\" was new."

                "How could I have expected her to remember what happened? In my excitement to see her alive and well, I'd forgotten that rule."

            "I decided to try recreating the first memory."
            nvl clear
            t "Nevermind. *ahem*..."
        "I want to save you." if persistent.round2clear:
            $ toldspace = True
            t "Space. Listen carefully. Someone called Nil is going to come and take you and all of your beautiful stars away."

            s weepy "Huh...?"

            t "Please trust me... my name is Time, and I came from a future where... that's what always happens in the end."

            s "I don't understand...."

            t "I know it's a lot to take in... I want to protect you. I don't want Nil to take you away."
            jump end3
        "Please don't cry..." if persistent.round3clear:

            t "I'm sorry for leaving you all alone. Please don't cry anymore, Space...."

            s "Huh...? *sniffle* Have we met before...?"

            t "Sort of... but you can't remember. I know this must sound strange..."

            s "It does... *sniffle* but how else could you know my name? I believe you."

            t "Sorry, I should introduce myself too... I'm Time."

            s smile "Time... Time! Timetimetimetimetime. Time!!"

            tt "I wish that mnemonic trick of hers actually worked...."
            jump continued2

label continued:
    t "Excuse me, but... have you been crying?"

    s "I-I felt so lonely, I... *sniffle*... I just can't seem to stop!"

    s "But now someone's here! I didn't think someone would come... but you're here!"

    s cry "W-waaaahh!! I'm so happy!!!!"

    t "If you're happy, then stop crying. Honestly, Space..."

    s worry "...Huh? How did you know my name?"

    if persistent.round3clear:
        tt "\"I'd never forget your name\"... I wish I could just say that. But the words aren't coming out."
    elif persistent.round2clear:
        tt "I let it slip out again. We've met before, you just can't remember..."
    elif persistent.round1clear:
        tt "Of course I know your name... even though you didn't tell it to me the first time either."
    else:
        t "I don't know... it just slipped out."

        tt "How DID I know her name? She never told it to me... but something about her feels so familiar. Like an old friend."

    s weepy "This isn't fair! I didn't even get to introduce myself, *sniffle*, and now I have to ask for YOUR name!"

    t "It's Time."

    s smile "Time... Time! Timetimetimetimetime. Time!!"

    t "What are you doing?"

    s "Saying it eight times will help me remember. Eight on its side is infinity, that's how I'll never forget!"

    if persistent.round3clear:
        tt "It'd be nice if that were true...."
    elif persistent.round1clear:
        tt "Except it's impossible for you to remember when I go back to before I told you..."
    else:
        t "Hm. I see."

label continued2:

    s "So, Time..."

    menu:
        s "Where did you come from?"
        "I don't know.":
            t "I'm not sure... it's hard to describe a place with nothing in it."

            s weepy "Were you alone in the dark, too? Oh no..."

            s cry "Thinking of that makes me so sad... Waahh!! *sniffle*"

            t "You're crying again."

            s "I can't help it... When I think of how you must've felt, I just... Waahhhh!!!"

            if persistent.round2clear:
                tt "You shouldn't be crying for me...."
            elif persistent.round1clear:
                "It bothered me to see her cry like this."

                "I wasn't annoyed by it, it just felt... wrong. There was no reason she should cry."

                "I was here, we were together, and everything was going to be fine."
            else:
                "The more she cried, the more stars came out."

                "They were beautiful, but... I couldn't help but think, weren't there enough stars already?"

                "I couldn't quite place the reason why, but I definitely didn't like seeing her cry like this."
            nvl clear
            t "Here, I'll try describe it in a way that doesn't make you start crying."

            s weepy "Huh? The place you came from? Okay... *sniffle*"

        "The start.":
            pass
        "The future." if persistent.round1clear:
            $ timetraveler = True
            t "Would you believe me if I told you I came from the future?"

            s "Hmm... when I thought I was all alone, you proved me wrong. So I'll believe whatever you say!"

            s shy "Besides, there's this feeling in my chest... that you are definitely someone I can trust."

            t "I'm glad... well, it's true! I did come from the future."

            t "We've already met before... and you wanted to search this void to see if we could find anyone, or anything else."

            s smile "That DOES sound like something I'd want to do... Did we find anyone?"
            if persistent.round2clear:
                $ toldspace = True
                t "Someone found US. She's called... Nil."

                s wow "Nil...?"

                t "She... she took you and all of your stars away. I'm trying to prevent that."
                jump end3
            tt "Someone found US... but it's hard to explain what happened. I don't want to scare her."

            t "We... didn't find anyone. That's why I think we should stay together."

            s worry "Oh. It would be sad if there WAS anyone out there, and they were feeling as lonely as I was... *sniffle*"

            "I lied to her."

            "She said she'd believe whatever I say, and I took advantage of that trust... but I didn't know how to tell her what happened."

            "I wanted to avoid the ending I saw before."

            "If this path didn't lead to something better, I could always make a save point and rewind from here."
            nvl clear

            s "Hey, Time...? If you're from the future... why did you come here?"

            t "Well... so I'd be able to talk to you again."

            s weepy "Then... in the future, we're not able to talk anymore? Oh no... *sniffle*"

            tt "Uh oh... I'll reassure her so she doesn't start crying again."

            t "Yes, we were separated. But I'm going to change it so that doesn't happen."

            s shy "That's a relief... I should figure out a backup plan too, so that you're not the only one working hard at this."
            jump continued7

    t "If I had to give it a name, I'd call it the start."

    s "The start... hmm, yes, it would make sense to begin at the start."

    s worry "Does that make where we are now the middle?"

    t "But you started here, didn't you? I don't know if we can call it the middle."

    s smile "We can! This place has changed."

    t "Has it?"

    s "Yes! You're here with me now, Time! So before was the start, and now is the middle."

    if persistent.round3clear:
        t "...."
    elif persistent.round2clear:
        tt "Except... this is my third time experiencing the \"middle\" now."
    elif persistent.round1clear:
        tt "That would mean two starts, two middles... and one end, so far. I was able to change the middle, which means..."
    else:
        tt "It made sense in its own way. This girl is very straightforward."
    show space worry with dissolve
    menu:
        s "So, if there's a beginning... is there an end?"
        "Who knows?":
            t "I don't know. I haven't seen it yet."
            if persistent.round2clear:
                tt "What I've seen before... I won't accept those events as the end."
            elif persistent.round1clear:
                tt "What I saw before doesn't have to be the end. I'll change it."
            else:
                pass
            s "Hmm... there probably is one."
        "Probably.":
            t "It would make sense, for that to be the case."

            s "You think so, too? I wonder what it's like...."
        "I've... already seen it." if persistent.round1clear:
            t "I've seen the end. I didn't like it very much... so I came back here."

            s "You didn't like it...? That means... oh no..."
            jump continued3
        "You wouldn't like it." if persistent.round2clear:
            $ toldspace = True
            t "Space... the ends that I've reached so far have been the same. Nil takes you and all of your stars away."

            s "Nil...?"

            t "Yes, Nil. The truth is, I've come back from those awful futures so I can save you from her."
            jump end3

label continued3:
    s weepy "What if the end is sad? The start was lonely... will the end be lonely too?"

    s cry "I don't want that... *sniffle* Waaahhh...."

    t "You cry a lot, don't you?"

    s weepy "Yes... because look! Whenever I do, these stars come out... *sniffle*"

    if persistent.round2clear:
        t "I've noticed."
    elif persistent.round1clear:
        tt "You told me before. Even though it was obvious from the start."
    else:
        tt "I'd already noticed, but maybe it'd be rude to point that out."

    s worry "I can't really explain it, but somehow... they make me feel a little less lonely."

    t "So... from the start, you've just been here making stars?"

    s smile "Yes. You see, where there is \"nothing\", I want to put \"something\"! Does that make sense?"

    if persistent.round1clear:
        t "Yeah... it's nicer this way."

        s laugh "Oh, I'm so happy you'd say that!"
    else:
        t "I guess it does."

    show space smile with dissolve
    menu:
        s "What kinds of things do YOU do, Time?"
        "Move the universe.":
            pass
        "Change fate." if persistent.round1clear:
            t "Whenever anything bad happens... I can just rewind and change it into something good."

            s wow "You can really do that? How?"

label continued4:

    t "I can make the universe move. Forwards, backwards... I can jump to any moment I've already experienced."

    s wow "Wow... That sounds like hard work."
    if persistent.round1clear:
        t "Yeah... it can be hard sometimes."

        t "But I can do good things with this power. Just like how your stars brighten up the cosmos... I can brighten the future."

        s shy "That's really cool... You're so cool, Time!!"

        t "Hmhm... yes, I suppose."
        jump continued6
    $ renpy.checkpoint()
    t "Making stars sounds harder to me."

    if persistent.loop1:
        jump continued5
    s smile "No, that's easy! Watch!"
    s cry "Uwwaaaaahhhhhh!!"
    t "I didn't mean to make you cry again... actually, this is a good chance to demonstrate."
    s weepy "Huh...? *sniffle*"
    if not persistent.loop1:
        $ renpy.notify(_("Memory Saved: She's going to cry"))
    $ persistent.loop1 = True
    tt "Alright, I've remembered the outcome...."
    tt "Now I'll rewind to when I said making stars sounds harder, then I can try to stop her from crying."
label timeloop:
    tt "I need to rewind..."

    tt "...."

    tt "I have a button for this..."

    tt "...It's at the bottom of the screen."

    tt "If I can't make use of the rewind button, I'll end up going in circles."

    tt "...And if I get stuck, I can always reset. But for now..."
    jump timeloop

label continued5:
    t "Hey, don't start crying just to prove how easy it is. Okay?"

    s wow "Huh?! How did you know what I was about to do...?"

    t "That's my power. You already cried before, so I went back to the moment before you did in order to stop you."

    s "Wow... you're incredible, Time!"

    t "Hmhm... it was nothing, really."

label continued6:
    s shy "You know something? I only just met you, but it feels like we've always known each other!"

    if persistent.round3clear:
        s worry "...But it's strange. I can't remember talking with you like this before now...."

        t "...."
    elif persistent.round2clear:
        t "I think your feeling could be true... because I feel the same."

        s "You do? That's a relief!"

        s worry "But it's strange... I can't remember talking with you like this before now."

        t "I know...."
    elif persistent.round1clear:
        t "Your feeling could be true. It'd at least explain how I knew your name...."

        s worry "But I can't remember talking with you like this before now... how strange."

        t "It seems like only I can remember those things..."
    else:
        t "I DID know your name from the first moment I saw you. So... maybe your feeling is true."

        s worry "But I can't remember talking with you like this before now... just like I can't remember crying before you changed what happened."

        t "It must be a paradox."

label continued7:
    s "Hey... how did you find me in the first place?"

    if persistent.round1clear:
        t "That's easy. I already knew where you'd be waiting for me."

        s "But I'm talking about the very first meeting, before you knew where I was! What about then?"

    t "I just followed your stars, and here you were."

    s laugh "Oh! That means... hey, if we ever get separated, I can just cry! That way you'll always be able to find me."

    t "Sure, but... I don't know if I like the thought of making you cry...."

    s "I won't have to, as long as you're here with me!"

    s weepy "I'm kind of... afraid to go back to being alone... *sniffle*"

    if persistent.round1clear:
        t "I don't want to be alone either."

        s shy "Heehee... I'm glad you feel the same, Time...."

        t "Would it be alright to just lay here together? Just for a little while."

        s "If you want to, then I don't mind."
        window hide
        jump end2

    t "Alright, I'll stay. It doesn't seem like there's anyone else out there anyway so... I have no reason to leave."

    s "Huh... anyone else... oh no!"
label aquestion:
    menu:
        s "If there IS someone else out there, don't you think we should try looking for them?"
        "Yes, we should.":
            $ wandered = True
            t "You don't want them to feel lonely, do you?"

            s laugh "Exactly! I'm so happy you understand, Time..."
            window hide
            scene cg wandering with Fade(.5, 0.5, 1)
            "We wandered into the void together, to see if we could find anything else out there... but all we found was darkness."

            "And the more darkness we found, the more Space would cry."

            "I didn't like seeing her cry. I didn't want her to feel lonely."

            "Much to my relief, she agreed to rest when I suggested it."
            nvl clear
            if persistent.lostspace:
                jump end1b
            jump end1
        "No... let's not.":
            t "There was really nothing else out there in the void. Not that I've ever seen."
            if persistent.round1clear:
                tt "That was a lie. I already know who's out there... but..."
            s "But what if there is? What if they're lonely...?"

            s cry "Waaahhh!! Thinking about that is so, so sad!!!"

            t "If they're like me, they'll follow your stars to reach us. If we wander away from here, we might miss them."

            s weepy "Oh... *sniffle*... That's a good point. You're really smart, Time."

            t "I'm just thinking ahead."
            window hide
            if persistent.round1clear:
                jump end2
            scene cg relax with Dissolve(1)
            pause 1
            "We waited there on her bed of stars for a long while."
            if persistent.round2:
                "Space was certain that we weren't alone. Could she feel Nil's presence...?"

                "I didn't want to worry about that. I was content just to sit by her side..."
            else:
                "I didn't feel like anyone else would come, but Space seemed certain we weren't alone. And whether we'd be rewarded for our patience or not, sitting there next to her was nice."

            "It was much better than being alone, surrounded by nothing."
            nvl clear
            if persistent.lostspace:
                jump end1b
            jump end1

label end1:
    stop music fadeout 3.0
    scene black with dissolve
    pause 1
    "I closed my eyes for a while."
    $ void = True
    "But when I opened them again... I was back in the dark."
    nvl clear
    t "...Space?"

    tt "No response."
    if not persistent.lostspace:
        $ renpy.notify(_("Memory Saved: She's gone..."))
    $ persistent.lostspace = True
    tt "What happened...? All the stars are gone too... did I make a mistake?"
label end1a:
    tt "I'll rewind from here... to before I closed my eyes."

    tt "...."
    jump end1a

label end1b:
    scene bg dire with dissolve
    if wandered:
        window show
    play music "music/nil.ogg" fadeout 1.0
    tt "I won't close my eyes this time. I have to pay attention, so I don't miss what caused everything to go black...."
    show space worry at right with dissolve
    s "Time? You look so serious all of a sudden...."
    if persistent.round1clear:
        t "Something bad is about to happen..."

        "And as if just saying it aloud had summoned her..."
        jump end1d

    t "Something strange happened... but I don't know what it was."

    s "Something strange...?"
    window hide
    scene bg spotted
    show cg spotted:
        xalign .52
        yalign .29
    with dissolve
    "Scanning the cosmos, I noticed something seemed to be blotting out a group of stars in the distance."

    "I'd spotted the anomaly."

    "I could just barely make it out against the dark background of the void..."

    "There was someone out here after all."
    scene bg spotted with dissolve
    nvl clear
    window show
    "As soon as they noticed I'd spotted them, they disappeared."

    "I squinted toward the area they'd been standing only a moment before, thinking I could easily find them again at such a distance..."

    "But... very suddenly..."
    nvl clear
label end1d:
    show nil blank at right
    show space worry at left
    with dissolve
    $ renpy.block_rollback()
    "She appeared... right behind Space."
    nvl clear
    if persistent.triedrewind:
        tt "Why... why can't I rewind past this point?! If I go forward, all I see is..."
        $ rewound1 = True
        jump end1c
    t "What ARE you...?"

    n "...Nil."
label end1c:
    window hide
    scene cg consume with fade
    if not persistent.triedrewind:
        $ renpy.notify(_("Memory Saved: Her demise"))
    $ persistent.triedrewind = True
    $ void = True
    "She phased right through Space... somehow erasing her from existence."

    "The stars around us dimmed and faded as she disappeared."

    "This is what had happened before... this is what I'd missed, by taking my eyes off of her."

    nvl clear

    "It was awful."

    "I wanted it to stop."
    nvl clear
    scene black
    show nil blank at right
    with Fade(.5, 0.5, 1)
    window show
    "Where Space once stood before me, there was now only Nil."
    nvl clear
    if rewound1:
        t "Why are you stopping me from rewinding?! Why can't I go back and protect Space from you...?"

        n "That wouldn't be fair..."

        t "Fair...? It's not fair that you suddenly took her away!!"

        n "You don't like it...?"
    else:
        t "What have you done to Space?! And the stars...!"

        t "You took away all the beauty, now all that's left is the void!!"

        n "But... it's beautiful like this, too... isn't it?"

    t "No... no, I don't like it! Bring back Space! Bring back her stars...!"

    n "If that's how you feel..."
    if not persistent.round1clear:
        $ renpy.notify(_("Memory Saved: An ending"))
    $ persistent.round1clear = True
    n "I'll lock you in this moment until you understand."
label timeloop2:
    if persistent.nilstory:
        jump understanding
    menu:
        "No...!":
            menu:
                "I won't accept this.":
                    menu:
                        "But... what can I do?":
                            menu:
                                "If I return to the start...":
                                    menu:
                                        "If I start over now, I could change this.":
                                            menu:
                                                "Otherwise I'll be trapped in this loop....":
                                                    jump timeloop2

label end2:
    scene cg handholds with dissolve
    pause 1
    "I held her hand, so that Nil wouldn't be able to sneak up on us."
    if persistent.round2clear:
        "Being together with Space felt so natural. Even her lightest touch could put me at ease, though I still couldn't explain why."
    else:
        "Our fingers interlaced so easily, it was as if they belonged together like this... but that was impossible."

        "That feeling, even if it didn't make any sense, only made me hold tighter."

        "As long as I held on to Space, Nil wouldn't be able to take her away."
        nvl clear

    "We could lay here and admire the stars together, and never do anything else..."

    "I'd be satisfied just like this."
    nvl clear

    if persistent.round2clear:
        scene bg light
        show space worry at right
        with dissolve
        tt "No... I need to tell her what happened. Otherwise it'll just turn out the same."

        t "Space, listen to me. I came from a future where you and all of your stars were taken away by someone called Nil."

        s wow "Huh...?"

        t "I'm here to try to save you from that fate. I want you to know that."

        s weepy "Why didn't you say so earlier...?"

        t "I don't know... I didn't want to frighten you."
        jump end3
    scene cg together with fade
    s "Time? Can I ask you something?"

    t "Hm? What is it?"

    s "What happened before...? What was it that you came back in order to change?"

    if timetraveler:
        t "I already told you. We got separated."

        s "I know, but... I definitely would have been crying if that happened. Couldn't you have followed my stars?"
    else:
        t "...We got separated."

        s "Oh no... but, couldn't you follow my stars?"

    t "I couldn't... you weren't able to make them anymore."

    s "That's terrible...."

    t "Yeah... it was."

    s "I'm glad you came back. If we couldn't find each other... I'd want to change that, too."
    scene cg handholds with fade
    "We lay there in silence for a while."

    "I had the feeling Space could sense I was waiting for something."

    "She didn't ask what."

    "As long as I held on to her, she had nothing to worry about."
    nvl clear
    "Nil... surely she was watching us from somewhere the light from Space's stars didn't reach."

    "I wanted to be ready... I wanted to be able to stop her when she appeared."
    nvl clear
    if persistent.round2clear:
        nvl clear
        scene bg light
        show space worry at right
        with dissolve
        t "Space, we can't fall asleep. Nil will come and take you away if we let our guard down."

        s "Did something like that happen before...?"
        jump end3
    $ renpy.block_rollback()
    stop music fadeout 1.0
    scene black with dissolve
    $ void = True
    "But... we fell asleep."
    nvl clear
    play music "music/nil.ogg"
    scene cg consume with dissolve
    t "No... No!!"
    scene black
    show nil blank at right
    with dissolve

    tt "I let it happen again... I've lost Space, again!!"

    n "Time. Don't go back anymore."
    if persistent.nilstory:
        t "You can't stop me... I can always reset as soon as you do this...."
    else:
        t "Why are you doing this...?"

    n "...."

    if not persistent.round2clear:
        tt "She's just going to trap me here again, isn't she...?"
        $ renpy.notify(_("Memory Saved: Another ending"))
        $ persistent.round2clear = True
    else:
        tt "I'm trapped...! I'll have to restart again...."

label timeloop3:
    if persistent.nilstory:
        jump understanding
    n "Stay."
    jump timeloop3

label end3:
    s weepy "I'm sorry..."

    s cry "Uwaaahhh!! I'm sorry that I let myself get taken away!"

    t "It's not your fault, Space!!"

    s weepy "You don't want to be all alone either, do you? If you feel the same as me, then it must have hurt!"

    t "It's okay... I'm able to come back to prevent things like this. Please don't cry."

    s "*sniffle* Okay...."
    window hide
    scene cg handholds with fade
    pause 1
    "I told Space about the other versions of our meeting that I knew of."

    "I told her that Nil was somehow able to limit my power, trapping me in loops and keeping me from rewinding far enough to stop her whenever she appeared."
    nvl clear
    "And Space... wanted to help. She said if we worked together, we might have a chance."
    if persistent.round3clear:
        "It hadn't changed anything before, but... I wanted to try it again anyway."
    else:
        "It was better than trying to fight this monster on my own."
    nvl clear
    scene cg together with Fade(.5, 0, 1)
    window show

    t "Nil seems to only appear when we let our guard down. I tried waiting before, but we fell asleep...."

    s "Then... we have to make the first move! But what should we do?"

    t "I don't know... if I could go back far enough... just enough to know exactly what's going to happen, so that I'd be able to fix it, I..."

    t "The only way I've been able to learn anything is through seeing you get taken away! I don't want to watch that happen again...."

    s "Time...."

    s "You're working hard, aren't you? I want to help."

    scene bg hug
    show cg hug
    with Dissolve(1)

    s "I don't want you to feel alone. I'm still here, so... I hope I can do something for you."
    window hide
    "We stayed like this for a while."
    if persistent.round3clear:
        $ save_name = "delete"
        "It felt as nice as I remembered. Warm, comfortable... safe."

        "I expected Nil to show up again soon. I had to be careful going forward from here..."

        "These might be my last moments with Space in this version of our universe."
        nvl clear
        show cg question
        with dissolve
        window show
        $ swapchoicepos = True
        t "Space...? There's something I want to say..."
        menu:
            s "Hm? What is it?"
            "I really like you.":
                jump aNDTHENTHEYKISS
            "...Nevermind.":
                $ swapchoicepos = False
                t "...It's nothing."
                window hide
                if persistent.firstkiss:
                    tt "Sorry, Space... I can't confess to you again. The first time was enough."
                else:
                    "I didn't have the courage."

                    "Technically, we barely knew each other... I couldn't haphazardly confess to her like this."

                    "Maybe it'd be better left unsaid...."
                nvl clear
                jump shesjealous
    else:
        "She was warm. It felt... nice."

        "I considered pausing the universe here, in this moment..."

        "After all, moving forward could cause something awful to happen again. And it was up to me, whether or not to let this path play out."

        "But I knew I didn't have to be afraid... because I wasn't alone."
    nvl clear
    $ renpy.block_rollback()
    jump shesjealous

label aNDTHENTHEYKISS:

    t "This may be a little sudden, but... I like you a lot."
    show cg question1
    s "Mm... I feel the same."

    t "Even if we only just met...?"

    s "Even if we only just met. Because..."

    t "Because...?"

    s "You really wanted to stay with me, didn't you? Even if you had to try over and over..."

    s "You've always come to find me, to make sure I wasn't lonely. Isn't that right?"

    t "Don't make me sound so selfless... I didn't want to feel lonely either."

    t "But really, I... I just wanted to be here with you. I don't want either of us to be left all alone!"

    s "The thought that we've met like this again and again is enough to make me never feel lonely again."
    show cg hug with dissolve
    s "Thank you, Time."
    show cg hugb with dissolve
    tt "Ah... I'm crying again... how could hearing those words make me so happy? I have no right to hear them yet."

    t "I-I haven't done anything to protect you yet... I've only failed you over and over...."
    show cg question2 with dissolve
    s "You're trying your best. That's what it feels like to me..."

    t "How can you know that? How do you know everything I've told you isn't a lie?"

    s "Because you say it so honestly."

    s "I can feel our connection in my heart... so even if I don't remember our other meetings... even if I don't completely understand all of this..."

    s "I still think you're someone very precious to me, Time."

    $ soprecious = True

    menu:
        t "Space...."
        "You're precious to me too.":
            $ swapchoicepos = False
            t "You're precious to me too, Space. That's why... I'll definitely save you."

            s "Hmhm... I know you will!"
            window hide
            jump shesjealous
        "Can I kiss you?":
            $ swapchoicepos = False
            stop music fadeout 3.0
            t "Please say no if you don't want to, but..."

            t "Is it okay... if I kiss you?"

            s "I'm so happy you asked...."
            window hide
            play music "music/happy_end.ogg" fadein 6.0
            if not persistent.firstkiss:
                $ renpy.notify(_("Memory Saved: We kissed"))
            $ persistent.firstkiss = True
            $ smooched = True
            scene cg spacekiss with dissolve
            pause 2
            "Her warmth was unlike anything I'd ever experienced."

            "In that moment, the stars around us grew brighter and brighter, washing out the darkness of the void until the whole cosmos was bathed in her light..."

            "And we were at the center of it all."
            nvl clear
            scene white
            show nil washedout at right
            with dissolve
            window show
            n "I won't forgive you... I won't...!"
            show nil washedout at left with move
            show space wow2 at right with dissolve
            s "This is Nil...? Why do you look like me...?"

            n "I have to erase you... there's no other choice!"

            t "No!! I won't let you touch her--!"

            s fight2 "You're hurting Time! Please go away!!"

            n "...!"
            if not persistent.nilstory:
                tt "She's... hesitating?"

            n "I'm hurting... Time...? She's the one who...!"

            s "I don't want you to make Time sad anymore! I think you should leave us alone!!"

            n "...."
            hide nil with dissolve
            t "She really left...."

            s smile2 "Did I do it? You won't have to reset anymore now, will you?"

            t "I think so... I think you're safe now."
            if persistent.nilstory:
                tt "But if I let Nil go now... that's not really fair, is it?"
            else:
                tt "But why would Nil suddenly stop like that...?"
            menu:
                tt "Can it really end like this?"
                "No, it can't.":
                    t "I can't leave things like this... I need answers. I'm going after her."

                    s wow2 "Really...? If that's how you feel, then I'll come with you!!"

                    t "No... I think I should go alone. I'll come back for you, so don't worry. Okay?"

                    s smile2 "...Okay. I trust you, Time. Please come back soon."

                    t "I will."
                    stop music fadeout 2.0
                    scene black with Dissolve(1.5)
                    $ void = True
                    "I had to travel quite a ways to reach somewhere Space's light didn't touch."

                    "I knew I would find Nil somewhere out here in the darkness..."

                    "And eventually, I did."
                    nvl clear
                    play music "music/nil.ogg"
                    show nil oh at right with Dissolve(1)
                    n "Time...? Why did you follow me?"
                    if persistent.nilstory:
                        t "Because... after hearing your story, I didn't want to let you go."

                        n upset "If that were the case, you could've stayed with me before...."

                        t "I know. I'm sorry... but I'm here now."

                        n "Why? You can't have somehow remembered our past together... I know just telling you isn't going to be enough for you to truly understand how I feel!"
                        jump nothing2
                    else:
                        t "I want to know what made you hesitate before. I want to know why you've been doing all this."

                        t "We've... met before, haven't we?"

                        n upset "...That's right."

                        t "Will you tell me your story?"

                        n "If I must..."
                    $ wentback = True
                    jump nothing
                "It's fine like this.":
                    $ renpy.block_rollback()
                    if not persistent.spaceending:
                        $ renpy.notify(_("Memory Saved: Space Ending"))
                    $ persistent.spaceending = True
                    $ persistent.spacememory = True
                    $ persistent.theend = True
                    $ timepowers = False
                    tt "As long as Space is safe... that's all I care about."

                    s "We did it! Now we can be together forever!!"

                    t "Yeah... I'm glad."
                    window hide
                    scene white with dissolve
                    pause .5
                    scene cg spaceend with Dissolve(2)
                    pause 2

                    "Space and I spent all of eternity together, just like she said."

                    "Alone together in her brilliant light... without Nil's darkness."

                    "I felt like I'd left something behind. But being together with Space... that was all that mattered."

                    "Everything was going to be perfect from now on."
                    nvl clear
                    show white:
                        alpha 0
                        linear 2.0 alpha .6
                    pause 2
                    jump credits

label shesjealous:
    play music "music/nil.ogg" fadeout 1.0
    scene bg dire
    show nil upset at right
    with Fade(.5, 0, 1)
    pause 1
    "Nil had already shown herself."
    nvl clear
    window show
    if persistent.firstkiss:
        n "I won't forgive you...!"
    else:
        n "Why are you doing this?"
    show space worry at left with dissolve
    s "This is Nil...? Why do you look like me...?"

    n "YOU'RE the copy... why won't you stay erased?"
    scene bg seized
    show cg seizeda
    with flash
    t "Space, run!! I'll stop her!"

    s "But... I don't want to be separated from you!"

    t "It's only temporary! I promise I'll be able to find you later, so get out of here!!"
    if persistent.round3clear:
        $ save_name = "delete"
        tt "Maybe if I hold tighter... if I could just keep her here...!"

        n "What's the point... in doing the same thing twice?"
    else:
        n "I don't like this... I don't like this...!"
        window hide
    show cg seizedb with dissolve
    scene black
    show cg seizedb
    with Dissolve(1)
    $ void = True
    $ renpy.block_rollback()
    if persistent.round3clear:
        tt "Nothing changed... I failed again...."
        scene black
        show nil upset at right
        with fade
        n "Next you'll start crying over her... can we skip that part...?"

        tt "She knows... she remembers everything as well as I do."
        jump again
    "In an instant, Nil's body blinked out of existence."

    "She'd slipped through my grasp..."
    nvl clear
    window show
    scene black with dissolve
    if not persistent.round3clear:
        $ renpy.notify(_("Memory Saved: Again and again"))
    $ persistent.round3clear = True
    "And once again, Space was gone."
    $ save_name = "delete"
    "Was there nothing I could do? Nil had beaten me no matter what I tried."

    "My attempts to change fate were only hurting Space again and again..."
    nvl clear
    window hide
    show nil upset at right with dissolve
    window show
    n "Time..."

    t "...."

    n "Why won't you look at me?"

    t "You keep taking Space away... of course I wouldn't want to look at someone who'd do that."

    n oh "...You're crying for her?"

    "I felt so overwhelmed by hopelessness, I'd barely noticed my tears."

    "How strange, I thought. For me to cry so easily..."

    "Space was always the one who..."
    nvl clear
    "And there it was again. The feeling I'd known her for much longer than I possibly could have."

    "I didn't understand these feelings."
    nvl clear
    n upset "...Aren't you going to reset again?"

    t "What's the point, if you'll always..."

    tt "...\"Again\"? She said \"again\". Then... she remembers the other times that I..."
label again:
    t "I asked you before... what ARE you?"

    n blank "I am Nil. Emptiness... Void... whatever you want to call me."

    n "Wherever there is \"something\", I want to make it \"nothing\"... does that make sense?"

    t "Why would you want to do that...? You exist just to take Space away?!"

    n upset "Space exists to take ME away. Why can't you understand...? Must I explain it to you?"

    menu:
        n "Time... please, listen..."
        "....":
            n oh "You're still here... you'll really listen to me?"

            t "Just say what you want to say..."

            n upset "...Fine."

            tt "If I know why she's doing all this, I'll be able to think of a way to stop her. But there's another feeling in my heart when I look at her..."

            tt "Sympathy? Why...?"
            jump nothing
        "I won't.":
            t "I don't want to hear anything you have to say. I'm going to save Space."

            n "...."

            tt "I won't fail again... I'll find a way to save her."
            $ quick_menu = False
            stop music fadeout 2.0
            window hide
            scene black with fade
            return
        "You already told me." if persistent.nilstory:
            t "Hey... do you remember explaining this to me before...?"

            n upset "I do. Obviously it wasn't enough to sway your cold heart...."

            t "I'm back here now, aren't I?"

            n hurt "What does it matter? My feelings won't reach you... words aren't enough for you to ever truly understand our past together."

            n "I may as well think of my \"Time\" as dead...."
            jump nothing2

label nothing:
    scene black
    with dissolve
    pause 1
    show cg origin at truecenter
    with dissolve
    n "In the very, very beginning... I was alone. There was only me, and the thick, empty, infinite darkness that surrounds us now."

    n "At some point, I thought... I wanted there to be more than just that."
    scene white
    show cg origin2 at truecenter
    with dissolve
    n "That's when I changed from \"nothing\" to \"something\"."
    show cg origin3 at truecenter
    show origin3 at topright
    with dissolve
    n "It was also... when you first appeared, Time."
    hide origin3
    show cg origin4
    with dissolve
    n "From that point on, it felt like we were all there ever was, and all there would ever be. One Time and one Space, and no one else."

    n "We had so much fun together... I thought it would last for all eternity."
    scene black
    show cg dance00111 at truecenter
    with dissolve
    n "But then... my light faded... and you stopped."
    show origin5:
        xalign .45 yalign .5 alpha 0
        easein 2.5 xalign .24 alpha 1.0
    n "You stopped, but... I was still here."
    show cg dance
    n "I was... still here... but you rewound to be with the light I'd left behind."

    n "I waited for the end to come again, thinking maybe I could reach you there..."
    show cg origin7
    hide origin5
    with dissolve
    n "But whenever it came, you would just rewind again, to be with another new me! Another new Space... it made me so jealous..."
    show origin7 with dissolve
    n "I waited so long for you to finally find me, but how could you? I couldn't cry. I couldn't create any light of my own for you to follow."
    scene black with dissolve
    n "You found new lights... her stars..."
    show nil upset at right with dissolve
    n "You forgot about me."

    t "How... how could that be true?! I don't have any memories like that! There's no way I would forget about Space!!"

    n hurt "But you did, again and again! She always returns to nothing, to ME, and you always go back to the beginning!"

    n "You never stay with me... you always want to stay with Space, but not Nil. It's because my darkness isn't as beautiful... you'll always choose her stars over me."

    n "I erased everything, all of the universes, and started over with just one, just one for you and me..."

    n "But Space is always there too! And you always go to her!!"

    t "Is that why I can't remember it...? Because you erased the universe that held those memories?"

    n "Do you know what all the universes are now? It's you and Space together, and I'm alone. That's why..."

    n "That's why I wanted to bring you to the end faster... I even learned how to stop you from rewinding. When I erased her, I could finally reach you, but..."

    n "You only got mad at me! I'd finally set everything right, but you didn't understand anything at all...!"

    n "I was stupidly hoping you would remember everything if you could just see me again... I was so angry when you didn't...."

    tt "How could I recall memories that were erased? Unless... these feelings in my heart..."

    n "I still can't stop you from resetting. I can't stop you from doing what's always brought you closer to her..."

    n "You've been going farther and farther away... I didn't know what to do anymore..."

    n "I didn't want to have to explain it all to you like this. I wanted you to remember on your own... but I can't take this anymore."
    $ renpy.block_rollback()
    if not persistent.nilstory:
        $ renpy.notify(_("Memory Saved: Nil's story"))
    $ persistent.nilstory = True
label nothing2:
    t "Nil...."

    if persistent.firstkiss:
        n "Why did you kiss her instead? How could you betray me...?"

        t "I'm sorry... I love both of you. That's why..."

        n "I know it doesn't feel like it to you, but we'd ALWAYS been together... compared to me, you barely know her!"

        n "How can you even try to put us on the same level...? That hurts so much... Did all of our memories together mean nothing...?"

        t "That's not it at all!"

        n "Huh...?"

    t "Even if those memories were erased for me... they still left an impression in my heart. And that impression... that love has driven my every action up to this point."

    n upset "But..."

    t "You and Space are connected. All of my memories with you... were with who Space is now. That's how I got it confused."

    n "I don't want to hear that...!"
    if soprecious:
        t "It's because I listened to Space's feelings that I understand what I'M feeling right now... and it's that you are someone who is very precious to me."
    else:
        t "Thanks to you, I finally understand what I've been feeling all along... and it's that you are someone who is very precious to me."
    show nil oh with dissolve
    t "Even if those feelings were projected onto a you who... wasn't you anymore. I'm sorry, Nil."

    n pout "You're so mean... you treated me like I was the bad one...."
label understood:
    t "I was the one who messed up from the start... can you ever forgive me?"

    n "All I wanted was to be at your side again, and you forgot about me! I won't forgive you so easily...."

    t "That's fine. I'll work hard to make it all up to you."

    n smile "Good... you have all of eternity to do that. Just the two of us."

    menu:
        tt "Just the two of us, huh...?"
        "It's fine like this.":
            $ renpy.block_rollback()
            if not persistent.nilending:
                $ renpy.notify(_("Memory Saved: Nil Ending"))
            $ persistent.nilending = True
            $ persistent.nilmemory = True
            $ persistent.theend = True
            $ timepowers = False
            t "Yeah. Just the two of us."
            n "I'm so happy... I've waited for this for so long...."

            t "I know... sorry to keep you waiting."
            window hide
            scene cg nilend with Fade(.5, 0.5, 2)
            "Nil and I spent all of eternity together, just like she said."

            "Alone together in the darkness... without Space's light."

            "I felt like I'd left something behind. But being together with Nil..."

            "No, with my TRUE \"Space\"... that was all that mattered."

            "I had a lot to make up for."
            nvl clear
            show black:
                alpha 0
                linear 2.0 alpha .6
            pause 2
            jump credits
        "I have to go back...":
            if wentback:
                t "I'm sorry, Nil. I promised Space I would go back to her."
            else:
                t "I'm sorry, Nil. I need to reset again... for Space."

            n hurt "No! Why...?! Am I not enough for you?"

            if wentback:
                t "Staying here would mean I'm forgetting a part of you again. And I don't want that...."
            else:
                t "Leaving things like this feels like I'm forgetting a part of you again. And I don't want that...."

            n upset "...."

            t "I'm not going to leave any part of you all alone. Do you understand...?"

            n pout "I do understand... but I still don't like it."

            t "What can I do in order for you to accept this, then?"

    n "If you're really serious... return to the beginning. I want to start over with you."

    n "But instead of looking for Space first... you have to find me instead. Okay?"

label thepromise:
    menu:
        n "Do you promise you'll come to me first?"
        "That's a lot to ask..." if not wronganswer:
            $ wronganswer=True
            t "Finding Space is a lot easier... I wouldn't even know where to begin looking for you."

            n "...."

            tt "Ah, she's angry."

            n "I'll give you another chance."
            jump thepromise
        "I promise.":
            $ renpy.block_rollback()
            if not persistent.promise:
                $ renpy.notify(_("Memory Saved: You promised"))
            $ persistent.promise = True
            t "Yes. I promise to come and find you."

            n smile "Good. It's a promise."

            t "Alright, Nil... I'll see you again soon."
            stop music fadeout 2.0
            window hide
            scene black with fade
            return

label understanding:
    t "Nil? I understand now... you remember explaining it to me, don't you?"

    n smile "You came back..."
    jump understood

label trueending:
    "Nil was somewhere out here in this emptiness."

    "She'd been waiting for me all along."
    nvl clear
    play music "music/happy_end.ogg" fadein 2.0
    show nil smile at right
    with dissolve
    n "You found me...."

    t "I promised I would."

    n pout "You also promised we'd never be apart. And you promised I was the only one you'd ever love. And you promised--"

    t "Hold on, you're talking about a version of me who's not around anymore! I personally haven't promised you anything like that!"

    n "Forgetting about it is no excuse. I'm still holding you to everything you've said in the past."

    t "You're pretty strict...."

    n "This is your punishment for everything you put me through!"

    t "Fine... as long as you don't start making things up to get me to do whatever you want."

    n smile "Hmhm... I'll be fair."

    t "Are you ready to meet Space?"

    n pout "No... she isn't going to like me."

    t "She won't remember what you did before. And if we told her, I think she'd understand how you felt."

    n "...."

    t "What's wrong? You really don't want to meet her?"

    n "It's not that... it's just... do we have to go right away? I still haven't forgiven you yet."

    t "So that's how it is...."

    n "Maybe if... you'd give me a kiss... perhaps I'd forgive you a little bit."

    t "...You're really cute."

    n smile "I know."
    window hide
    scene black
    show cg nilkiss
    with Dissolve(2)
    pause 1
    "We'd fallen right back into place as if I'd never been gone."

    "Her touch felt so familiar... how could I have ever forgotten it?"

    "We must have had a million of these kinds of encounters before. Why else would it have felt so natural?"
    nvl clear
    "Every moment like this, that was lost to me..."

    "I'd have to make new memories to replace them, one by one."
    nvl clear

    scene cg nilkissb
    show nil oh at right
    with fade
    window show
    n "Oh, these stars..."

    t "Hm?"

    n smile "They don't feel lonely... their light feels... happy."
    hide nil with dissolve
    s "Oh, someone's here...!"
    window hide
    $ renpy.block_rollback()
    if not persistent.allclear:
        $ renpy.notify(_("Memory Saved: True Beginning"))
    $ persistent.theend = True
    $ persistent.allclear = True
    $ persistent.clearmemory = True
    scene cg trueend with Dissolve(2)
    pause 4

label credits:
    $ renpy.block_rollback()
    if renpy.variant("pc"):
        $ mp.timespaceyuri = True
        $ mp.save()
    "Story and Art by NomnomNami {space=30} Music by Alex Huang (@LydianChord) \n Cosmic Backgrounds by Emmit \nSpecial Thanks: Tryph, Pivi, DarkChibiShadow, Coos, Y Le, Tiff"
    nvl clear
    " Extra Special Thanks: My supporters on Patreon for making this possible! \n And you! Thanks for playing!"
    nvl clear
    window hide
    stop music fadeout 2.0
    scene black with Fade(2, 0, 0)
    return

label reset:
    $ swapchoicepos = False
    $ timepowers = False
    if persistent.allclear:
        scene black with dissolve
        tt "I can return our universe back to the way it was before... by making all of us forget what happened..."
        menu:
            tt "What should I do...?"
            "Partially erase memories...":
                jump partialreset
            "Completely erase all memories...":
                jump resetdata
            "Nevermind, these memories are too precious to me.":
                return

    if persistent.spaceending:
        scene white
        with dissolve
        window show
    else:
        scene black
        with dissolve
    t "If I erase my memories I could start over... I could do something different...."

    if persistent.spaceending:
        show space wow2 at right with dissolve
        s "Huh...? What are you talking about?"

        t "I was thinking about it, and... I might have made the wrong decision. I need to start over."

        s "The wrong decision...? Do you... regret staying here with me?"
        menu:
            tt "This is the only way to reach Nil...."
            "Reset":
                scene white with dissolve
                jump partialreset
            "Stay":
                t "...No, I don't regret it. I was just thinking out loud... sorry."

                s smile2 "I'd miss you a lot if you were gone, Time. I'm glad that you stayed...."
                window hide
                scene white with dissolve
                return
    if persistent.nilending:
        show nil hurt at right with dissolve
        n "No...! Don't leave me... please don't leave me again... I finally have you, I don't want to go back to before...!"

        t "You won't remember... it'll be as if none of this ever happened."

        n "Please, Time... please stay with me..."
        menu:
            tt "This is the only way to reach Space...."
            "Reset":
                scene black with dissolve
                jump partialreset
            "Stay":
                t "...Alright. I'll stay here with you, Nil."

                n "Don't scare me like that... I don't want to lose you again."

                t "Yeah... I know. I'm sorry."
                window hide
                scene black with dissolve
                return

label partialreset:
    $ timepowers = False
    $ swapchoicepos = False
    if persistent.spaceending:
        scene white
    else:
        scene black
    menu:
        tt "I can reset things back to right after I lost the third \"Space\"..."
        "Do it.":
            pass
        "Nevermind.":
            return
    python:
        for slot in renpy.list_saved_games(fast=True):
            renpy.unlink_save(slot)
        persistent.firstkiss=None
        persistent.nilstory=None
        persistent.promise=None

        persistent.theend=None
        persistent.spaceending=None
        persistent.nilending=None
        persistent.allclear=None
    return


label resetdata:
    $ timepowers = False
    $ swapchoicepos = False
    if persistent.spaceending:
        scene white
    else:
        scene black
    menu:
        tt "Do I REALLY want to forget everything...?"
        "Yes.":
            pass
        "No.":
            return
    python:
        for slot in renpy.list_saved_games(fast=True):
            renpy.unlink_save(slot)

        persistent.metspace=None
        persistent.loop1=None
        persistent.lostspace=None
        persistent.round1clear=None
        persistent.triedrewind=None
        persistent.round2clear=None
        persistent.round3clear=None

        persistent.firstkiss=None
        persistent.nilstory=None
        persistent.promise=None

        persistent.theend=None
        persistent.spaceending=None
        persistent.nilending=None
        persistent.allclear=None

    return

label gallery:
    $ quick_menu = False
    $ _game_menu_screen = None
    show screen exitgallery

    if persistent.allclear:
        scene cg trueendb
    elif persistent.nilending:
        scene black
    elif persistent.spaceending:
        scene white
    else:
        scene cg wanderingb

    scene cg stars with Fade(.5, 0.5, 1)
    pause
    scene cg crying with Fade(.5, 0.5, 1)
    pause
    scene cg relax with Fade(.5, 0.5, 1)
    pause
    scene cg wandering with Fade(.5, 0.5, 1)
    pause

    scene cg handholds with Fade(.5, 0.5, 1)
    pause
    scene cg together with Fade(.5, .05, 1)
    pause

    scene bg hug
    show cg hug
    with Fade(.5, 0.5, 1)
    pause
    show cg hugb with dissolve
    pause
    show cg question with dissolve
    pause
    show cg question1 with dissolve
    pause
    show cg question2 with dissolve
    pause

    scene cg spacekiss with Fade(.5, 0.5, 1)
    pause
    scene cg spaceend with Fade(.5, 0.5, 1)
    pause

    scene cg consume with Fade(.5, 0.5, 1)
    pause

    scene bg seized
    show cg seizeda
    with Fade(.5, 0.5, 1)
    pause
    scene black
    show cg seizedb
    with dissolve
    pause

    scene black
    show cg origin at truecenter
    with Fade(.5, 0.5, 1)
    pause
    scene white
    show cg origin2 at truecenter
    with dissolve
    pause
    show cg origin3 at truecenter
    show origin3:
        xalign .95
        yalign 0
    with dissolve
    pause
    hide origin3
    show cg origin4
    with dissolve
    pause
    scene black
    show cg dance00111 at truecenter
    with dissolve
    show origin5:
        xalign .45 yalign .5 alpha 0
        easein 2.5 xalign .24 alpha 1.0
    pause 1
    show cg dance
    pause
    show cg origin7
    hide origin5
    with dissolve
    pause
    show origin7 with dissolve
    pause

    scene cg nilend with Fade(.5, 0.5, 1)
    pause

    scene black
    show cg nilkiss
    with Fade(.5, 0.5, 1)
    pause

    scene cg trueend with Fade(.5, 0.5, 1)
    pause

    return
